<html>  
  <head> 
    <meta http-equiv="Content-Language" content="en-us"> 
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"> 
    <title>Project Runner Data</title> 
  </head>  

  <body>  
    <a name="HOME"></a> 

    <h1 align="center">Texas Instruments Test Results</h1>   
    <h1 align="center">DSPLIB 3.4.0.4 C64Px</h1>   
    <h1></h1>   
    
    <div> 
      <h1>&nbsp;</h1>
      <h1>Session Summary</h1>   
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4" width="50%"> 

        <tr bgcolor="#999999" align="center"> 
          <th>Endianness</th> 
          <th>Object Format</th> 
          <th>Link</th> 
        </tr>  

        <tr align="left"> 
          <td rowspan="2">Little Endian</td> 
        </tr>  

        <tr align="left"> 
          <td>ELF Format</td> 
          <td><a href="#LE">View Results</a></td> 
        </tr>  

      </table>  
    </div>

	

    <div>
      <h1>&nbsp;</h1>   
      <a name="LE"></a> 
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4"> 

        <tr bgcolor="#999999" align="left"> 
          <th colspan="5"><big>Test Parameters</big></th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Precision:</th>
          <th colspan="3">Fixed Point</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Endianness:</th>
          <th colspan="3">Little</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Object File Format:</th>
          <th colspan="3">ELF</th>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Platform:</th>
          <th colspan="3">CCS Simulator</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Cores Used:</th>
          <th colspan="3"> 1</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CCS Version:</th>
          <th colspan="3">5.4.0.00091</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CGT Version:</th>
          <th colspan="3">8.3.3</th>
        </tr>
        
        <tr align="center"> 
          <th rowspan="2" bgcolor="#cccccc">KERNEL</th> 
          <th rowspan="2" bgcolor="#cccccc">RESULT</th> 
          <th colspan="2" bgcolor="#cccccc">CYCLE FORMULA</th> 
          <th rowspan="2" bgcolor="#cccccc">PROGRAM<br>MEMORY</th> 
        </tr>  
		
		<tr align="center"> 
          <th bgcolor="#cccccc">EQUATION</th> 
          <th bgcolor="#cccccc">VARIABLES<br /></th> 
        </tr>  

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_add16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_add32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 30 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_autocor</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx*Nr + 40/8*Nr + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_bexp</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 39 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*n_hwords + 30 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*n_words + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap64</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*n_dbls + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_move</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 27 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_dotprod</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 41 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_dotp_sqr</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 41 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  521 (N=128) 1003 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16_r</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  619 (N=128) 1137 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1056<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16_imre</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  527 (N=128) 1009 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  960<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  869 (N=128) 1659 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1632<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft32x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1015 (N=128) 1962 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft32x32s</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1071 (N=128) 2063 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1856<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_firlms2</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*NH + 46 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8/8*Nr*Nh + 21/8*Nr + 8/8*Nh + 57</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  896<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_cplx_hM4X4</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8/8*Nr*Nh + 21/8*Nr + 8/8*Nh + 57</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  896<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_gen</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/16*Nr*Nh + 80/16*Nr + 51</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  448<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_gen_hM17_rA8X8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nr*Nh + 19/4*Nr + 59</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  800<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r4</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nr*Nh + 16/4*Nr + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nr*Nh + 19/4*Nr + 43</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_hM16_rM8A8X8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nr*Nh + 19/4*Nr + 43</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_sym</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/16*Nr*Nh + 84/16*Nr + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fltoq15</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2*Nx + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  527 (N=128) 1009 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  960<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x16_imre</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  521 (N=128) 1003 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  900 (N=128) 1716 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1376<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft32x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  996 (N=128) 1851 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1696<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_real16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4*Nx + 50 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_lat</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/4*Nr*Nh + 92/4*Nr + 36</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_ss</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4/8*nCoefs + 39 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_mul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/8*r1*c2*c1 + 22/8*r1*c2 + 38/8*c2 + 32</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_mul_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">N/A</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9/16*R*C + 38</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_maxidx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/16*Nx + 86 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_maxval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx + 34 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_minerror</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  698</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1152<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_minval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx + 37 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mul32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 34 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_neg32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 28 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_q15tofl</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2*Nx + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_recip16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9*Nx + 44 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_vecsum_sq</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 35 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_w_vec</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr + 44 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>
 
      </table>  
      <p><a href="#HOME">Top</a>
    </div>



  </body> 

</html> 

		   
